Page MenuHomeMiraheze

Verify all Miraheze-developed extensions are compatible with MediaWiki 1.38.0
Closed, ResolvedPublic

Assigned To
Unknown Object (User)
Authored By
Unknown Object (User)
Mar 27 2022, 15:55
Referenced Files
None
Tokens
"100" token, awarded by Ugochimobi."Party Time" token, awarded by Agent_Isai.

Description

We need to verify all our extensions are fully compatible with MediaWiki 1.38.0, including deprecated functions, etc...

Related Objects

StatusAssignedTask
ResolvedUnknown Object (User)
ResolvedUnknown Object (User)
ResolvedUnknown Object (User)
ResolvedUnknown Object (User)
ResolvedUnknown Object (User)

Event Timeline

Unknown Object (User) triaged this task as Normal priority.Mar 27 2022, 15:55
Unknown Object (User) created this task.
Reception123 renamed this task from Verify all Miraheze extensions are compatible with Mediawiki 1.38.0 to Verify and Test all Miraheze extensions to see if they are compatible with Mediawiki 1.38.0.Mar 28 2022, 16:02
Reception123 updated the task description. (Show Details)
Reception123 renamed this task from Verify and Test all Miraheze extensions to see if they are compatible with Mediawiki 1.38.0 to Verify all Miraheze extensions to see if they are compatible with Mediawiki 1.38.0.Mar 28 2022, 16:13
Reception123 updated the task description. (Show Details)
Unknown Object (User) renamed this task from Verify all Miraheze extensions to see if they are compatible with Mediawiki 1.38.0 to Verify all Miraheze-developed extensions to see if they are compatible with MediaWiki 1.38.0.Apr 29 2022, 22:39
Unknown Object (User) renamed this task from Verify all Miraheze-developed extensions to see if they are compatible with MediaWiki 1.38.0 to Verify all Miraheze-developed extensions are compatible with MediaWiki 1.38.0.Apr 30 2022, 03:34
Unknown Object (User) added a parent task: T9163: Test all extensions for 1.38.
Unknown Object (User) lowered the priority of this task from Normal to Low.May 5 2022, 00:10
Unknown Object (User) moved this task from Backlog to Short Term on the MediaWiki (SRE) board.May 9 2022, 19:12
Unknown Object (User) edited projects, added Extensions; removed MediaWiki.
Unknown Object (User) moved this task from Backlog to Actions Needed (Review) on the Extensions board.
Unknown Object (User) added a project: Technical-Debt.
Unknown Object (User) raised the priority of this task from Low to Normal.Jun 5 2022, 20:18
Unknown Object (User) closed this task as Resolved.Jun 7 2022, 20:29

This is now done. I pushed patches to some of our extensions today to fix them up, replacing some deprecated stuff, even a fatal, and enabled 1.38 CI and got it to pass on all of our extensions.